type FixStatus = 1 | 2 | 3 | 4 | 5;

export interface TicketListText {
  createdAt(time: string): string;
  statusMap: Map<FixStatus, string>;
}

export const ticketListZhCn: TicketListText = {
  createdAt: time => {
    return '创建于' + ' ' + time;
  },
  statusMap: new Map([
    [1, '创建成功'],
    [2, '维修中'],
    [3, '待取回'],
    [4, '已取回'],
    [5, '已取回'],
  ]),
};

export const ticketListEnUs: TicketListText = {
  createdAt: time => {
    return '创建于' + ' ' + time;
  },
  statusMap: new Map([
    [1, '创建成功'],
    [2, '维修中'],
    [3, '待取回'],
    [4, '已取回'],
    [5, '已取回'],
  ]),
};
